kind: pipeline
type: docker
name: default

steps:
  - name: Build with node
    image: node:12
    commands:
      - npm config set registry https://npm.hibas123.de
      - npm install
      - npm run install
      - npm run build
  - name: Publish to docker
    image: plugins/docker
    settings:
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
      auto_tag: true
      repo: docker.hibas123.de/authserver
      registry: docker.hibas123.de
      debug: true
    when:
      branch: [master]
      event:
        exclude:
          - pull_request
